body{
    background-color: #FFFFFF;
    margin:0px;
    font-size: 115%;
    overflow-x: hidden;
}

h1,h2,h3,p,ul,li{
    margin: 0;
}

h3{
    text-align: center;
    font-size: 1.85em;
}

h1{
    color: var(--deepBlue);
    text-align: left;
    margin: 0.5em 0;
}

a{
    text-decoration: none;
}

a, a:visited, a:active{
    color: inherit;
}

/* .row + .row{
    margin: 2em 0;
} */

header{
    position: relative;
    z-index: 99;
    background: white;
}

.row{
    display: flex;
    align-items: center;
    justify-content: center;
}

.row + .row{
    padding: 2em 0;
}

.content{
    max-width: 1400px;
    padding: 0 1em;
    width: 100%;
}

.linkWrapper{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 1em;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* height: 6em; */
    font-weight: bold;
    font-size: 1.5em;
    /* padding-left: 5rem;
    padding-right: 5rem; */
    /* margin: 0 auto; */
    /* max-width: 1400px; */
}

nav ul{
    display: flex;
    list-style: none;
    align-items: center;
    padding: 0;
}

nav ul li{
    margin-right: 1rem;
}

nav ul li a{
    color: black;
}

.linkBlack:hover{
    color: var(--darkGray);
}
.linkBlack, #closeNav, .classicLink{
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

nav a:not(:last-child){
    color: black;
    /* margin-right: 1.5em; */
}

/* nav a:hover{
    color: var(--darkGray);
} */

nav{
    display: grid;
    grid-template-columns: repeat(2,1fr);
}

#logo{
    height: 2.5em;
    width: auto;
    margin-top: 0.45em;
    margin-bottom: 0.2em;
}

#navSignUp{
    /* background-color: var(--deepBlue); */
    /* color: white; */
    color: white;
    padding: 0.5em 1em;
    border-radius: 0.5rem;
    /* background-color: var(--deepBlue); */
    max-width: 50vw;
    align-self: flex-end;
}

#navSignUp a{
    /* color: white; */
    padding: 0.25em 0;
    /* border-radius: 0.5rem;
    background-color: var(--deepBlue); */
}

#hamburger{
    display: block;
    text-align: right;
}

#hamburger:hover{
    cursor: pointer;
}

.navLeft{
    float: left;
}

#navRight{
    float: right;
}

#navRight{
    display: none;
    flex-direction: column;
    grid-column: 2/3;
    text-align: right;
}

#navRight a{
    margin-bottom: 0.5em;
}

.responsiveNav{
    align-items: flex-start;
    flex-direction: column;
}

.responsiveNav a{
    margin-bottom: 1em;
}

#closeNav{
    display: none;
    align-self: center;
    text-align: right;
}

/* show all links on larger screens*/
@media (min-width: 768px) {
    nav a:not(:last-child){
        /* color: black; */
        margin-right: 1.5em;
    }

    /* nav ul:not(:first-child) {
        display: flex;
    } */
    #navRight{
        display: flex;
        align-items: center;
        flex-direction: row;
    }

    #hamburger{
        /* float: right; */
        display: none;
    }

    #navSignUp a{
        padding: 0.5em 1em;
    }

    #navRight a{
        margin-bottom: 0;
    }

    nav{
        display: flex;
    }
}

#firstContent a{
    color: white;
    background-color: var(--deepBlue);
    font-size: 1.5em;
}

#firstContent a:hover{
    background-color: var(--shallowBlue);
}

#firstContent h1{
    font-size: 2.15em;
    margin: 0;
    max-width: 750px; /* starts to look too long after this point*/
    grid-area: h1;
    margin-top: 0em;
    text-align: center;
}

#firstContent video{
    max-width: 100%;
    width: 100%;
    border-radius: 0.5em;
}
#vidWrapper {
    grid-area: video;
    margin-top: 1em;
    height: calc((100vw - 1.5em)/1.7777778);
}

#firstContent{
    display: grid;
    padding: 1.25em 0em;
    align-items: center;
    font-size: 0.9em;
    justify-items: center;
    grid-template-areas: "h1"
                        "video"
                        "link";
}

p {
    margin: 1em 0;
}

#firstContent p{
    grid-area: p;
}

#firstContent .linkWrapper{
    grid-area: link;
}


@media (min-width:1024px){
    #firstContent{
        grid-template-areas: "h1 video"
                            "link video"
                            "nll video";
    grid-template-columns: 0.6fr 1fr;
    grid-gap: 1.65em 3.25em;
    font-size: 1em;
    }

    #vidWrapper {
    grid-area: video;
    /* height values here are derived from the video being 1fr/1.6fr in other words 1/1.6 of the remaining space after horizontal margins are removed (see firstContent above) */
    height: calc((62.5vw - 2.96875em)/1.7777778);
    max-height: calc((875px - 2.03125em)/1.7777778); /* 1400px max in content leads to this max-height */
    }

    #logo{
    height: 3.25em;
    }

    #firstContent h1{
    margin-top: 1.5em;
    text-align: left;
    }
    #firstContent video{
    margin-top: 0em;
    }

    .linkWrapper{
    margin-top: 0em;
    justify-content: left;
    }
    /* #firstContent p{
        padding: 0 2em;
    } */
}

#secondRow{
    background-color: var(--deepBlue);
    background-color: #372dd8;
}

#secondRow p{
    text-align: center;
}

#firstRow{
    padding: 1.5em 0.75em;
    background: #f3f5ff;
    padding-bottom: 3em;
}

#spacingRow{
    padding: 0em;
    opacity: 0;
    z-index: 0;
}

#referRow{
    background-color: #0f0097;
    position: fixed;
    bottom: 0;
    z-index: 99999;
    width: 100%;
    padding-top: 1.75em;
    padding-bottom: 1.75em;
}

#referBox{
    padding: 0em;
    background: #0f0097;
    color: white;
    text-align: center;
    margin: 0em;
}

.rowTr{
    padding: 0;
    border-top: calc(2.5em + 0.5vw) solid;
}

.toprCl{
    padding: 0em 0.35em;
    border-radius: 1em;
    background: white;
}

@media (max-width: 1024px){
.rowTr{
    display: none;
}

#referRow{
    font-size: 0.525em;
}
#referRow{
    background: #4580f3;

}
#referBox{
    background: #4580f3;
}

.toprCl{
    padding: 0em 0.35em;
    border-radius: 0em;
    background: white;
}
}

#toprHead{
    position: fixed;
    top: 0;
    width: 100%;
    left: 50%;
    transform: translate(-50%, 0);
    z-index: 999999999;
}

#secondContent{
    display: grid;
    align-items: center;
    justify-content:space-between;
    flex-direction: column;
    padding: 2em 1em;
}

.infoBox{
    border-radius: 0.5rem;
    background-color: white;
    position: relative;
    padding: 2em 1em 1em 1em;
    margin: 2em 0;
    width: 100%;

    /* display: flex; */
    flex-direction: column;
}

/* .infoBox + .infoBox{
    margin: 2em 0;
} */

.infoIcon{
    position: absolute;
    max-width: 5rem;
    top: 0;
    transform: translateY(-50%);
}

.infoImg{
    display: block;
    width: 50%;
    margin-top: 0.75em;
    margin-bottom: 0.75em;
}

.infoH2{
    margin-top: 0.5em;
}

@media (min-width: 1024px){
    /* to create space for the absolute images */
    #secondRow{
        padding-top: 2.5rem;
        padding-bottom: 2em;
    }

    /* convert from 3 rows to 3 cols */
    #secondContent{
        grid-template-rows: 1fr;
        grid-template-columns: repeat(3,1fr);
        grid-gap: 2em;
    }

    /* match heights of all elements */
    .infoBox{
        height: 100%;
        margin: 0;
    }

    /* push img down to fit box */
    .infoIcon{
        /* position: absolute; */
        max-width: 5rem;
        /* height: auto; */
        top: 0;
        transform: translateY(-50%);
    }
    .infoImg{
        display: block;
        width: 100%;
        margin-top: 0.5em;
        margin-bottom: 0em;
    }

    .infoH2{

    }
}

h2{
    color: var(--deepBlue);
    text-align: center;
}

#creatorShowcase{
    background-color: var(--lightPurple);
}

.cardWrapper{
    width: 100%;
    display: inline-grid;
    align-items: center;
    grid-gap: 2em;
    /* grid-template-columns: repeat(4, 1fr); */
    grid-template-rows: repeat(4,1fr);
    margin: 2em 0;
}

.card{
    background-color: white;
    border-radius: 0.5em;
    /* flex-basis: 0; */
    display: inline-flex;
    justify-content: space-around;
    height: 100%;
    width: 100%;
}

/* .cardImg img{
    max-width: 50vw;
} */

.cardFollowers{
    text-align: center;
}

.cardImg{
    max-width: 35%;
}

.cardSocialWrapper img{
    max-width: 15vw;
}

img{
    max-width: 100%;
}

.cardTitle{
    text-align: center;
    font-size: 1.5em;
}

.cardOrg img{
    max-width: 50%;
}

.cardInfo{
    /* display: flex;
    align-items: center; */
    flex-direction: column;
    /* justify-content: space-around; */
    width: 50%;
}

.cardSocialWrapper{
    width: 100%;
}

.cardSocialWrapper a img{
    max-width: 3em;
}

/* looks way too blurry */
/* .cardSocialWrapper a img:hover{
    filter: brightness(1.5);
} */

@media (min-width: 1024px){
    .cardWrapper{
        width: 100%;
        display: inline-grid;
        align-items: center;
        grid-gap: 2em;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: 1fr;
    }

    .card{
        height: 100%;
        background-color: white;
        border-radius: 0.5em;
        display: inline-flex;
        flex-direction: column;
        align-items: center;
        padding: 1em;
        font-size: 1.5em;
    }

    .cardImg img{
        max-width: 6em;
    }

    .cardTitle{
        font-size: 1em;
        font-weight: bold;
    }

    .cardFollowers{
        color: var(--lightGray);
        font-size: 0.75em;
    }

    .cardOrg{
        height: 100%;
    }

    .cardOrg img {
        max-height: 3em;
    }
    .cardSocialWrapper{
        display: flex;
        align-items: center;
    }

    .cardSocialWrapper a{
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    .cardSocialWrapper img{
        max-height: 2em;
    }
}

.featureHighlight img{
    max-width: 20%;
    height: auto;
    margin-right: 1em;
}

.feature{
    margin: 2em 0;
}

.featureGame, .featureEd{
    background-color: white;
    /* border-top: 1rem solid white; */
    /* border-bottom: 0.5rem solid white; */
    box-shadow: 3px 3px lightgrey;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 0.5em;
    padding: 1rem 0 0.5rem 0;
    border: 1px solid #f2f2f2;
    font-size: 1.25rem;
    color: black;
}

.featureEd{
    font-weight: bold;
}

.featureEd video{
    margin: 0.5em 0em;
}

#featureGameWrapper{
    display: grid;
    /* grid-template-columns: repeat(6,1fr);
    grid-template-rows: repeat(2,1fr); */
    grid-gap: 1.75vw 3vw;
    grid-template-areas:
        "game1 game1 game2 game2"
        "game3 game3 game4 game4"
        ". game5 game5 .";
    text-align: center;
    width: 100%;
    height: auto;
}

#featureEditorWrapper{
    display: grid;
    /* grid-template-columns: repeat(6,1fr);
    grid-template-rows: repeat(2,1fr); */
    grid-gap: 2em;

    grid-template-areas:
        "fe1 fe2"
        "fe3 fe4"
        "fe5 fe6";
    text-align: center;
    width: 100%;
    height: auto;
    padding: 0em 1em;
    grid-auto-columns: minmax(0, 1fr);
    grid-auto-flow: row;
}

#suT{
    background-color: #9146FF;
    border: 2px solid #9146FF;
    font-weight: bold;
}

#suT:hover{
    background-color: #7E29FF;
}

#bSignUpWrapper{
    display: grid;
    /* grid-template-columns: repeat(6,1fr);
    grid-template-rows: repeat(2,1fr); */
    grid-gap: 1em 2em;
    font-size: 1.55em;
    margin: 0.65em 0em;
    grid-template-areas: "suT" "suE";
    text-align: center;
    width: 100%;
    height: auto;
    padding: 0em 16vw;
    color: white;
}

#game1{
    grid-area: game1;
}

#game2{
    grid-area: game2;
}

#game3{
    grid-area: game3;
}

#game4{
    grid-area: game4;
}

#game5{
    grid-area: game5;
}

#featureShowcase{
    background: #eeecff;
}

@media (min-width: 1024px){
    /* change game showcase to stack 3-2*/
    #featureGameWrapper{
        grid-template-areas:
            "game1 game1 game2 game2 game3 game3"
            ". game4 game4 game5 game5 .";
    }

    #featureShowcaseContent{
        display: grid;
        grid-template-columns: repeat(2,1fr);
        grid-gap: 0em 4em;
        grid-template-areas: "game gameExamples"
                    "editExamples edit";
        z-index: 1;
    }
    #bSignUpWrapper{
    grid-template-areas: "suT suE";
    }
    #clipSelection{
        grid-area: game;
    }
    #featureEditorWrapper{
    grid-gap: 3em;
    grid-template-areas:
        "fe1 fe2 fe3"
        "fe4 fe5 fe6";
    }
    #featureGameWrapper{
        grid-area: gameExamples;
    }

    #featureHighlight{
        grid-area: edit;
    }

    #featureEditWrapper{
        grid-area: editExamples;
    }

}

.featureEdit{
    flex-direction: column;
    font-size: 1.25rem;
    height: 100%;
}

.featureEdit img{
    border-radius: 0.5em;
}

#featureEditWrapper{
    /* position: relative; */
    display: grid;
    /* grid-template-columns: repeat(auto-fit,minmax(150px,1fr)); */
    grid-template-columns: repeat(2,1fr);
    grid-gap: 1em;
    text-align: center;
    align-items: center;
}

.featureEdit:last-child{
    grid-column: span 2;
    justify-self: center;
    max-width: 50%;
}

@media (min-width: 1024px){
    #featureEditWrapper{
        grid-template-columns: repeat(3,1fr);
    }

    .featureEdit:last-child{
        grid-column: span 1;
        max-width: 100%;
    }
}

#foundation{
    background-color: var(--lightPurple);
    color: white;
    padding-top: 1.5em;
    padding-bottom: 3.5em;
}

#foundation h2{
    color: white;
}

.twitchFoundation{
    /* position: relative; */
    /* margin: 5em 0 2em 0; */
}

/* #twitchWeb{
    max-width: 50%;
    height: auto;
} */

@media (min-width: 768px){
    .foundationFlex{
        flex-direction: row;
    }
}

.foundationItem{
    width: 100%;
    padding: 2em;
    /* text-align: center; */
    font-size: 1.25em;
    height: 100%;
}

.foundationItem img{
    width: 50%;
    max-width: 50%;
    height: auto;
    padding-bottom: 1em;
}

@media (min-width: 768px){
    .foundationItem img{
        max-width: 35%;
    }
}

@media (min-width: 1024px){
    .foundationItem img{
        max-width: 50%;
    }
}

#foundationWorld{
    /* invert the image to white */
    -webkit-filter: grayscale(1) invert(1);
    filter: grayscale(1) invert(1);
}


#contact{
    background-color: var(--lightPurple);
    border-top: 2px solid white;
}

#contactContent{
    font-size: 1.25em;
}

#contactContent h4{
    color: white;
}

#contactContent a{
    /* border-radius: 0.5em; */
    color: var(--lightPurple);
    background-color: white;
    /* padding: 0.5em 1em; */
    /* font-size: 1rem; */
    border: 2px solid white;
}

#contactContent a:hover{
    background-color: var(--deepBlue);
    color:white;
    border: 2px solid white;
}

.legal{
    text-align: right;
}





/* .foundationItem{
    width: 100%;
} */

/* #twitch1{
    max-width: 35%;
}

#twitch2{
    position: absolute;
    max-width: 50%;
} */

#subs{
    padding: 2.75em 0em;
}
